Resources
Complete a free resource execution
Retain safe response metadata for allowed work that did not create a payment transaction.
POST
/merchant/v1/resource-executions/{resource_execution_id}/completeRequest
Path Parameters
resource_execution_id*
Server-issued resource execution identifier.
Authentication
Private API key for your Recuut account. A recuut_test_ key uses test payers and transactions. A recuut_live_ key uses live data. Send this key only from your server.
In: header
Request body
application/jsonAttach safe response metadata to one free protected-resource execution.
Response
application/jsonSchema
The free resource execution that accepted this completion.
Request example
curl --request POST \ --url "$RECUUT_API_URL/merchant/v1/resource-executions/rex_00000000000070008000000000000000/complete" \ --header "Authorization: Bearer $RECUUT_API_KEY" \ --header 'Content-Type: application/json' \ --data '{"resource_execution":{"duration_ms":84,"response_content_type":"application/json","response_size_bytes":312,"response_status":200},"revision_id":"acr_00000000000070008000000000000000"}'HTTP response examples
200 · OKapplication/json
{ "resource_execution_id": "rex_00000000000070008000000000000000"}